package MpmasCharacteristicsInfo;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use CtUtilities qw(queryhash extqueryhash);
use MpmasInputfile;
use MpmasInputBlock;
our @ISA = qw(MpmasInputfile);

sub filename {
	my $self = shift;
	return "AgentCharacteristicsInfo";
}

sub required {
	my $self = shift;
	return 1 if ( $self->get_cfg_list_empty_ok("EXTRA_AGENT_ATTRIBUTES") );
	return 0;
}


sub prepare_shared {



}

sub prepare_special {
	
		my ($self) = @_;
		my $extraBlock = MpmasInputBlock->new(3, 10);
		
		$extraBlock->add_comment_row("1", "EXTRA AGENT ATTRIBUTES");
		$extraBlock->add_empty_rows(2);
		$extraBlock->add_row("", "Number of user-defined agent attributes","",  $self->get_num_of_agent_attributes() );
		$extraBlock->add_empty_rows(1);
		
		for my $i ($self->get_cfg_list_empty_ok("EXTRA_AGENT_ATTRIBUTES")) {
			$extraBlock->add_row("","","", $self->get_id_of_agent_attribute($i),$i);
		}
		$self->add_block($extraBlock);
}
1;
